Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum I3DXML.MaterialApplicationType.MappingSideType

    java.lang.Object
      java.lang.Enum<I3DXML.MaterialApplicationType.MappingSideType>
          igeo.io.I3DXML.MaterialApplicationType.MappingSideType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<I3DXML.MaterialApplicationType.MappingSideType>

Enclosing class:
  I3DXML.MaterialApplicationType

    public static enum I3DXML.MaterialApplicationType.MappingSideType

extends java.lang.Enum<I3DXML.MaterialApplicationType.MappingSideType>

Enum Constant Summary
`BACK`
`FRONT`
`FRONT_AND_BACK`

Method Summary
`static I3DXML.MaterialApplicationType.MappingSideType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static I3DXML.MaterialApplicationType.MappingSideType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FRONT

    public static final I3DXML.MaterialApplicationType.MappingSideType FRONT

### BACK

    public static final I3DXML.MaterialApplicationType.MappingSideType BACK

### FRONT_AND_BACK

    public static final I3DXML.MaterialApplicationType.MappingSideType FRONT_AND_BACK

Method Detail

### values

    public static final I3DXML.MaterialApplicationType.MappingSideType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(I3DXML.MaterialApplicationType.MappingSideType c : I3DXML.MaterialApplicationType.MappingSideType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static I3DXML.MaterialApplicationType.MappingSideType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD